#ifndef MESSAGE_H
#define MESSAGE_H

#include <stdio.h>

struct My_Message {

  long   message_type;
  long   command;
  long   lparam;
  double param[20];

};


class Message {

 private:

  int msg_id;

 public:

  Message( int key );
  ~Message();
  int send( My_Message& my_msg);
  int receive( My_Message& my_msg, long msg_type);
  int size();

};

#endif
